var Detector = function() {
 var baseFonts = ['monospace', 'sans-serif', 'serif'];
 var testString = "mmmmmmmmmmlli";
 var testSize = '72px';
 var h = document.getElementsByTagName("body")[0];
 var s = document.createElement("span");
 s.style.fontSize = testSize;
 s.innerHTML = testString;
 var defaultWidth = {};
 var defaultHeight = {};
 for (var index in baseFonts) {
  s.style.fontFamily = baseFonts[index];
  h.appendChild(s);
  defaultWidth[baseFonts[index]] = s.offsetWidth;
  defaultHeight[baseFonts[index]] = s.offsetHeight;
  h.removeChild(s);
 }

 function detect(font) {
  var detected = false;
  for (var index in baseFonts) {
   s.style.fontFamily = font + ',' + baseFonts[index];
   h.appendChild(s);
   var matched = (s.offsetWidth != defaultWidth[baseFonts[index]] || s.offsetHeight != defaultHeight[baseFonts[index]]);
   h.removeChild(s);
   detected = detected || matched;
  }
  return detected;
 }
 this.detect = detect;
};


function Uni(s){
r='';
for (t=0;t<s.length;t++) {
 switch(s.charAt(t)) {
	case "A": r+="%u0391";break;
	case "B": r+="%u0392";break;
	case "G": r+="%u0393";break;  
	case "D": r+="%u0394";break;
	case "E": r+="%u0395";break;
	case "Z": r+="%u0396";break;
	case "H": r+="%u0397";break;
	case "Y": r+="%u0398";break; 
	case "I": r+="%u0399";break;
	case "K": r+="%u039a";break;
	case "L": r+="%u039b";break;
	case "M": r+="%u039c";break;
	case "N": r+="%u039d";break;
	case "J": r+="%u039e";break; 
	case "O": r+="%u039f";break;
	case "P": r+="%u03a0";break;
	case "R": r+="%u03a1";break;
	case "S": r+="%u03a3";break;
	case "T": r+="%u03a4";break;
	case "U": r+="%u03a5";break;
	case "F": r+="%u03a6";break;
	case "X": r+="%u03a7";break;
	case "C": r+="%u03a8";break;
	case "V": r+="%u03a9";break;

	case "a": r+="%u03b1";break;
	case "b": r+="%u03b2";break;
	case "g": r+="%u03b3";break;
	case "d": r+="%u03b4";break;
	case "e": r+="%u03b5";break;
	case "z": r+="%u03b6";break;
	case "h": r+="%u03b7";break;
	case "y": r+="%u03b8";break;
	case "i": r+="%u03b9";break;
	case "k": r+="%u03ba";break;
	case "l": r+="%u03bb";break;
	case "m": r+="%u03bc";break;
	case "n": r+="%u03bd";break;
	case "j": r+="%u03be";break;
	case "o": r+="%u03bf";break;
	case "p": r+="%u03c0";break;
	case "r": r+="%u03c1";break;
	case "s": r+="%u03c3";break;
	case "t": r+="%u03c4";break;
	case "u": r+="%u03c5";break;
	case "f": r+="%u03c6";break;
	case "x": r+="%u03c7";break;
	case "c": r+="%u03c8";break;
	case "v": r+="%u03c9";break;
	case "w": r+="%u03c2";break;
	case "[": r+="[";break;
	case "]": r+="]";break;
	case "-": r+="-";break;

	default: switch(s.charCodeAt(t)) {
		case 35: r+="%u03cb";break;
		case 38: r+="%u1fb3";break;
		case 44: r+=",";break;
		case 46: r+=".";break;
		case 58: r+="%u0387";break;
		case 59: r+="%u037e";break;
		case 61: r+="%u03c1";break;
		case 64: r+="%u03b0";break;
		case 152: r+="%u1fb7";break;
		case 164: r+="%u1f10";break; //r+="%u03b5";
		case 166: r+="%u1f14";break; //r+="%u03ad";
		case 167: r+="%u03ad";break;
		case 169: r+="%u03b5";break;
		case 174: r+="%u03ae";break;
		case 176: r+="%u1fc6";break; //r+="%u03b7";
		case 177: r+="%u1f20";break;
		case 181: r+="%u1f22";break;
		case 182: r+="%u1f23";break;
		case 183: r+="%u1f26";break;
		case 187: r+="%u1fc7";break; //r+="%u03b7%u0323"
		case 1025: r+="%u03b5";break; 
		case 1026: r+="%u0301";break; 
		case 1027: r+="%u0300";break; 
		case 1028: r+="%u03b1%u0323";break; 
		case 1029: r+="%u03b7%u0323";break; 
		case 1030: r+="%u1f21";break; 
		case 1031: r+="%u1f74";break; 
		case 1032: r+="%u03cb";break; 
		case 1033: break; 
		case 1034: r+="%u1f70";break; 
		case 1035: r+="%u1f00";break; 
		case 1036: r+="%u1fb6";break; 
		case 1038: r+="%u1f73";break;
		case 1039: r+="%u03b1";break;
		case 1040: r+="%u03b7%u0323";break;
		case 1041: r+="%u03b7%u0323";break;
		case 1042: r+="%u03b7%u0323";break;
		case 1043: r+="%u03b7%u0323";break;
		case 1044: r+="%u03c9%u0323";break;
		case 1045: r+="%u03ce";break;
		case 1046: r+="%u1f7c";break;
		case 1047: r+="%u1ff6";break;
		case 1048: r+="%u1f60";break;
		case 1049: r+="%u1f61";break;
		case 1050: r+="%u1f64";break;
		case 1051: r+="%u1f65";break;
		case 1052: r+="%u1f62";break;
		case 1053: r+="%u1f63";break;
		case 1054: r+="%u1f66";break;
		case 1055: r+="%u1f67";break;
		case 1056: r+="%u03ce%u0323";break;
		case 1057: r+="%u03c9%u0323";break;
		case 1058: r+="%u03c9%u0323";break;
		case 1059: r+="%u03c9%u0323";break;
		case 1060: r+="%u03c9%u0323";break;
		case 1061: r+="%u03ce%u0323";break;
		case 1062: r+="%u03ce%u0323";break;
		case 1063: r+="%u03c9%u0323";break;
		case 1064: r+="%u03c9%u0323";break;
		case 1065: r+="%u03c9%u0323";break;
		case 1066: r+="%u03c9%u0323";break;
		case 1067: r+="%u1f77";break;
		case 1068: r+="%u1f76";break; //r+="%u03b9";
		case 1069: r+="%u1fd6";break; 
		case 1070: r+="%u1f30";break; 
		case 1071: r+="%u1f31";break; 
		case 1072: r+="%u1f34";break; //r+="%u03af";
		case 1073: r+="%u1f35";break; 
		case 1074: r+="%u1f32";break; 
		case 1075: r+="%u1f33";break; 
		case 1076: r+="%u1f36";break; 
		case 1077: r+="%u1f37";break; 
		case 1078: r+="%u1f7b";break; 
		case 1079: r+="%u1f7a";break; //r+="%u03c5";
		case 1080: r+="%u1fe6";break; //r+="%u0169";
		case 1081: r+="%u1f50";break;
		case 1082: r+="%u1f51";break;
		case 1083: r+="%u1f54";break;
		case 1084: r+="%u1f55";break;
		case 1085: r+="%u1f52";break;
		case 1086: r+="%u1f53";break;
		case 1087: r+="%u1f56";break; //r+="%u0169";
		case 1088: r+="%u1f57";break; //r+="%u0169";
		case 1089: r+="%u03cc";break; //!
		case 1090: r+="%u1f78";break;
		case 1091: r+="%u03ca";break;
		case 1092: r+="%u1f40";break;
		case 1093: r+="%u1f41";break;
		case 1094: r+="%u1f44";break;
		case 1095: r+="%u1f45";break;
		case 1096: r+="%u1f42";break;
		case 1097: r+="%u1f43";break;
		case 1098: r+="%u03b7%u0323";break;
		case 1099: r+="%u03c2";break;
		case 1100: break;
		case 1101: r+="%u0390";break;
		case 1102: r+="%u03ca";break;
		case 1105: r+="%u03b7";break;
		case 1106: r+="%u03ac";break;
		case 1107: r+="%u2019";break;
		case 1108: r+="%u03b7%u0323";break;
		case 1109: r+="%u03ae%u0323";break;
		case 1110: r+="%u1f24";break;
		case 1111: r+="%u03ae%u0323";break;
		case 1112: r+="%u03b7%u0323";break;
		case 1113: r+="%u03b1%u0323";break;
		case 1114: r+="%u03ac%u0323";break;
		case 1115: r+="%u03b1%u0323";break;
		case 1116: r+="%u03b1%u0323";break;
		case 1118: r+="%u1f72";break; //r+="%u03b5";
		case 1119: r+="%u03b1%u0323";break;
		case 1168: r+="%u1f11";break; //r+="%u03b5";
		case 1169: r+="%u03ae";break;
		case 8209: r+="-";break;
		case 8211: r+="%u03ac%u0323";break;
		case 8212: r+="%u03b1%u0323";break;
		case 8216: r+="%u03ac";break;
		case 8217: r+="%u03b1";break;
		case 8218: break;
		case 8220: r+="%u1f03";break;
		case 8221: r+="%u1f06";break;
		case 8222: r+="%u201b";break;
		case 8224: r+="%u201b";break;
		case 8225: r+="%u2019";break;
		case 8226: r+="%u03b1";break;
		case 8230: r+="%u2019";break;
		case 8240: r+="%u2019";break;
		case 8242: break;
		case 8243: break;
		case 8249: r+="%u03ac";break;
		case 8250: r+="%u03ac%u0323";break;
		case 8364: r+="%u201b";break;
		case 8470: r+="%u03ae%u0323";break;
		case 8482: r+="%u03b1%u0323";break;
		case 8486: r+="%u03a9";break;
	}
 }
}
 return unescape(r);	
}   


function getCookie(Name) {
 var search = Name + "=";
 if (document.cookie.length > 0) {
  offset = document.cookie.indexOf(search);
  if (offset != -1) {
   offset += search.length;
   end = document.cookie.indexOf(";", offset);
   if (end == -1) end = document.cookie.length;
   return unescape(document.cookie.substring(offset, end));
  }
 }
}

UniEncoding=getCookie("Greek_Encoding");
if (UniEncoding=="UUNICODE") UniEncoding="UNICODE";
if (UniEncoding!="UNICODE" && UniEncoding!="GrkV"){
 var d = new Detector();
 if (d.detect('GrkV')==false){
  UniEncoding='UNICODE'; //no GrkV.ttf and no user settings - use UNICODE
 }
}
for(i=0;i<a.length;i+=2){
  document.write('<a href="'+a[i]+'.htm"><sup>');
  if (UniEncoding=="UNICODE") {
    document.write("<font face='Arial'>"+Uni(a[i+1])+"</font>");
  } else 
    document.write(a[i+1]);
  document.write('</sup></a><br>');
}

